Главная страница \ Разработки \ Программы \ Обновление Denwer (Apache 2.4, PHP 7, MySQL 5.7)

Обновление Denwer (Apache 2.4, PHP 7, MySQL 5.7)

Denwer Неофициальный апдейт, Apache 2.4 PHP7 MySQL 5.7Появилась необходимость быстро развернуть локальный сервер со свежими версиями ПО (для всякого рода Joomla, WordPress и прочих Drupal), как подсказывала память - есть отличное решение Денвер. Но оказалось, что автор уже долгое время не поддерживает проект и не выпускает обновления для него. Простым же путём (скачиванием и заменой старых дистрибутивов на новые) решить задачу не получилось. Т.к. был выбор или настраивать систему с нуля или попытаться обновить существующую систему решено было обновить существующую. Для этого пришлось интегрировать в сборку VC2015 Redistributable, а также, заодно, оставить многие нужные библиотеки. С сегодняшними скоростями подключения к сети интернет и размерами флешек/жёстких дисков проблема нехватки места уже так остро не стоит.

К сожалению, пришлось практически полностью перекроить существующий пакет Денвера, поэтому фактически установка и настройка происходят по принципу полной замены базовой установки.

В текущей сборке представлено следующее ПО:
Apache 2.4.23 (со всеми модулями)
PHP 7.0.10 (со всеми расширениями + xdebug)
MySQL 5.7.15
PhpMyAdmin 4.6.4

Скачать обновление Denwer 3

Важно!

В связи с участившимися вопросами считаю необходимым дать пояснения.

Данное обновление содержит новую версию PHP 7 в которой произошли значительные изменения в составе предоставляемых возможностей.

Наиболее важно для многих - с данной версии PHP стали отсутствовать некоторые функции, особенно обратите внимание на отсутствие mysql_*, mssql_*.

Поэтому перед обновлением крайне рекомендую ознакомиться с разделом о миграции с PHP 5.6.* на PHP 7.0.*.

Видеоинструкция по установке обновлённого пакета

Вопросы? Предложения?

Андрей [08.03.2017]
После попытки добавить плагин Admin Tools теперь ни сайт, ни админка не работаю и выдают ошибку - "#1146 - Table 'performance_schema.session_variables' doesn't exist.
Отпишитесь пожалуйста как лечить эту проблему???
Андрей [28.02.2017]
При попытке добавить пользователя к БД напоролся на ошибку - "#1054 - Неизвестный столбец 'password_last_changed' в 'mysql.user'" ----------- таже беда как лечить эту ошибку
Сергей [27.02.2017]
Отлично, спасибо большое. С первого раза смог по видео все сделать
Алексей [17.02.2017]
Делаю свой сайт. К Denwer-у привык, да и устраивал до того момента, когда перестал обновляться. Сборку установил в соответствии с видео. ОС - Windows 7 x32. Всё прошло нормально. Стал проверять ... БД создал. При попытке добавить пользователя к БД напоролся на ошибку - "#1054 - Неизвестный столбец 'password_last_changed' в 'mysql.user'" ... Выбранный пользователь не найден в таблице привилегий. Кто знает как лечить болезнь .. очень надо!
demir [11.02.2017]
https://github.com/liberborn/denwer :cold:
Андрей [04.02.2017]
Почему работает только test1.ru ?
Дмитрий [31.01.2017]
После общения с Юрием и переноса папки \usr\local\VCREDIST в \usr\local\apache\bin все заработало.
Огромное Вам спасибо.
Актуально для Windows 10 x64.
Дмитрий [31.01.2017]
Вернее не запустился httpd.exe
Дмитрий [31.01.2017]
Добрый день. Установил как показано на видео. На вашей сборке Апач не запускается, на исходном Денвере все работает.
Supprt [22.01.2017]
:good: :bad: :bad: :driver: :D asdas
[1]  [2]  [3]  [4]  [5
Powered by Elise